Identities

Update identity metadata

Update identity metadata (tag, gender, age). Only accessible if the user uploaded the identity or is a member of a group that has access.

PATCH
/identity/{identity_code}/metadata

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

identity_code*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://v2.api.piktid.com/identity/string/metadata" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "message": "string",
  "name": null,
  "image_description": null
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty
Empty